pcl::_PointNormal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointNormal:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
float curvature
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 953 of file point_types.hpp.

## Member Data Documentation

##

union { ... }

## curvature

float pcl::_PointNormal::curvature

Definition at line 961 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointNormal >::add(), pcl::common::IntensityFieldAccessor< pcl::PointNormal >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointNormal >::get(), pcl::Supervoxel< PointT >::getCentroidPointNormal(), pcl::common::IntensityFieldAccessor< pcl::PointNormal >::operator()(), pcl::SIFTKeypointFieldSelector< PointNormal >::operator()(), pcl::PointNormal::PointNormal(), and pcl::common::IntensityFieldAccessor< pcl::PointNormal >::set().

## data_c

float pcl::_PointNormal::data_c[4]

Definition at line 963 of file point_types.hpp.

## PCL_ADD_NORMAL4D

pcl::_PointNormal::PCL_ADD_NORMAL4D

Definition at line 956 of file point_types.hpp.

## PCL_ADD_POINT4D

pcl::_PointNormal::PCL_ADD_POINT4D

Definition at line 955 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp